# Generated by Django 4.2.3 on 2024-06-03 20:51

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):
    dependencies = [
        ("auth", "0012_alter_user_first_name_max_length"),
        ("accounts", "0012_alter_user_avatar"),
        ("invitations", "0003_administrationinvitation"),
    ]

    operations = [
        migrations.AlterModelOptions(
            name="administrationinvitation",
            options={
                "verbose_name": "administration_invitation_model_name",
                "verbose_name_plural": "administration_invitation_plural_model_name",
            },
        ),
        migrations.AddField(
            model_name="administrationinvitation",
            name="language",
            field=models.ForeignKey(
                default=3,
                on_delete=django.db.models.deletion.DO_NOTHING,
                to="accounts.language",
                verbose_name="languages_model_name",
            ),
        ),
        migrations.AlterField(
            model_name="organizationinvitation",
            name="group",
            field=models.ForeignKey(
                limit_choices_to={"name__in": ["OrgOwner", "User", "Admin"]},
                null=True,
                on_delete=django.db.models.deletion.DO_NOTHING,
                to="auth.group",
                verbose_name="invitations_prop_group",
            ),
        ),
    ]
